Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing
Class JSVGScrollPane.ScrollListener

    java.lang.Object
      java.awt.event.ComponentAdapter
          org.apache.batik.swing.JSVGScrollPane.ScrollListener

All Implemented Interfaces:
  ComponentListener, EventListener, UpdateManagerListener, GVTTreeRendererListener, JGVTComponentListener, GVTTreeBuilderListener

Enclosing class:
  JSVGScrollPane

    protected class JSVGScrollPane.ScrollListener

extends ComponentAdapter
implements JGVTComponentListener, GVTTreeBuilderListener, GVTTreeRendererListener, UpdateManagerListener

Handle scroll, zoom, and resize events

Field Summary
`protected boolean` | `isReady`

Fields inherited from interface org.apache.batik.swing.gvt.JGVTComponentListener
`COMPONENT_TRANSFORM_CHANGED`

Constructor Summary
`protected` | `JSVGScrollPane.ScrollListener()`

Method Summary
`void` | `componentResized(ComponentEvent evt)`
`void` | `componentTransformChanged(ComponentEvent evt)` Called when the rendering transform changes on the JGVTComponentListener
`void` | `gvtBuildCancelled(GVTTreeBuilderEvent e)` Called when a build was cancelled.
`void` | `gvtBuildCompleted(GVTTreeBuilderEvent e)` Called when a build was completed.
`void` | `gvtBuildFailed(GVTTreeBuilderEvent e)` Called when a build failed.
`void` | `gvtBuildStarted(GVTTreeBuilderEvent e)` Called when a build started.
`void` | `gvtRenderingCancelled(GVTTreeRendererEvent e)` Called when a rendering was cancelled.
`void` | `gvtRenderingCompleted(GVTTreeRendererEvent e)` Called when a rendering was completed.
`void` | `gvtRenderingFailed(GVTTreeRendererEvent e)` Called when a rendering failed.
`void` | `gvtRenderingPrepare(GVTTreeRendererEvent e)` Called when a rendering is in its preparing phase.
`void` | `gvtRenderingStarted(GVTTreeRendererEvent e)` Called when a rendering started.
`void` | `managerResumed(UpdateManagerEvent e)` Called when the manager was resumed.
`void` | `managerStarted(UpdateManagerEvent e)` Called when the manager was started.
`void` | `managerStopped(UpdateManagerEvent e)` Called when the manager was stopped.
`void` | `managerSuspended(UpdateManagerEvent e)` Called when the manager was suspended.
`void` | `updateCompleted(UpdateManagerEvent e)` Called when an update was completed.
`void` | `updateFailed(UpdateManagerEvent e)` Called when an update failed.
`void` | `updateStarted(UpdateManagerEvent e)` Called when an update started.

Methods inherited from class java.awt.event.ComponentAdapter
`componentHidden, componentMoved, componentShown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isReady

    protected boolean isReady

Constructor Detail

### JSVGScrollPane.ScrollListener

    protected JSVGScrollPane.ScrollListener()

Method Detail

### componentTransformChanged

    public void componentTransformChanged(ComponentEvent evt)

  Description copied from interface: `JGVTComponentListener`
  Called when the rendering transform changes on the JGVTComponentListener

  Specified by:
    `componentTransformChanged` in interface `JGVTComponentListener`

### componentResized

    public void componentResized(ComponentEvent evt)

  Specified by:
    `componentResized` in interface `ComponentListener`
  Overrides:
    `componentResized` in class `ComponentAdapter`

### gvtBuildStarted

    public void gvtBuildStarted(GVTTreeBuilderEvent e)

  Description copied from interface: `GVTTreeBuilderListener`
  Called when a build started.

  Specified by:
    `gvtBuildStarted` in interface `GVTTreeBuilderListener`

### gvtBuildCompleted

    public void gvtBuildCompleted(GVTTreeBuilderEvent e)

  Description copied from interface: `GVTTreeBuilderListener`
  Called when a build was completed.

  Specified by:
    `gvtBuildCompleted` in interface `GVTTreeBuilderListener`

### gvtRenderingCompleted

    public void gvtRenderingCompleted(GVTTreeRendererEvent e)

  Description copied from interface: `GVTTreeRendererListener`
  Called when a rendering was completed.

  Specified by:
    `gvtRenderingCompleted` in interface `GVTTreeRendererListener`

### updateCompleted

    public void updateCompleted(UpdateManagerEvent e)

  Description copied from interface: `UpdateManagerListener`
  Called when an update was completed.

  Specified by:
    `updateCompleted` in interface `UpdateManagerListener`

### gvtBuildCancelled

    public void gvtBuildCancelled(GVTTreeBuilderEvent e)

  Description copied from interface: `GVTTreeBuilderListener`
  Called when a build was cancelled.

  Specified by:
    `gvtBuildCancelled` in interface `GVTTreeBuilderListener`

### gvtBuildFailed

    public void gvtBuildFailed(GVTTreeBuilderEvent e)

  Description copied from interface: `GVTTreeBuilderListener`
  Called when a build failed.

  Specified by:
    `gvtBuildFailed` in interface `GVTTreeBuilderListener`

### gvtRenderingPrepare

    public void gvtRenderingPrepare(GVTTreeRendererEvent e)

  Description copied from interface: `GVTTreeRendererListener`
  Called when a rendering is in its preparing phase.

  Specified by:
    `gvtRenderingPrepare` in interface `GVTTreeRendererListener`

### gvtRenderingStarted

    public void gvtRenderingStarted(GVTTreeRendererEvent e)

  Description copied from interface: `GVTTreeRendererListener`
  Called when a rendering started.

  Specified by:
    `gvtRenderingStarted` in interface `GVTTreeRendererListener`

### gvtRenderingCancelled

    public void gvtRenderingCancelled(GVTTreeRendererEvent e)

  Description copied from interface: `GVTTreeRendererListener`
  Called when a rendering was cancelled.

  Specified by:
    `gvtRenderingCancelled` in interface `GVTTreeRendererListener`

### gvtRenderingFailed

    public void gvtRenderingFailed(GVTTreeRendererEvent e)

  Description copied from interface: `GVTTreeRendererListener`
  Called when a rendering failed.

  Specified by:
    `gvtRenderingFailed` in interface `GVTTreeRendererListener`

### managerStarted

    public void managerStarted(UpdateManagerEvent e)

  Description copied from interface: `UpdateManagerListener`
  Called when the manager was started.

  Specified by:
    `managerStarted` in interface `UpdateManagerListener`

### managerSuspended

    public void managerSuspended(UpdateManagerEvent e)

  Description copied from interface: `UpdateManagerListener`
  Called when the manager was suspended.

  Specified by:
    `managerSuspended` in interface `UpdateManagerListener`

### managerResumed

    public void managerResumed(UpdateManagerEvent e)

  Description copied from interface: `UpdateManagerListener`
  Called when the manager was resumed.

  Specified by:
    `managerResumed` in interface `UpdateManagerListener`

### managerStopped

    public void managerStopped(UpdateManagerEvent e)

  Description copied from interface: `UpdateManagerListener`
  Called when the manager was stopped.

  Specified by:
    `managerStopped` in interface `UpdateManagerListener`

### updateStarted

    public void updateStarted(UpdateManagerEvent e)

  Description copied from interface: `UpdateManagerListener`
  Called when an update started.

  Specified by:
    `updateStarted` in interface `UpdateManagerListener`

### updateFailed

    public void updateFailed(UpdateManagerEvent e)

  Description copied from interface: `UpdateManagerListener`
  Called when an update failed.

  Specified by:
    `updateFailed` in interface `UpdateManagerListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.